## glite-jobid-api-cpp 1.2.0

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
jobidprefix=jobid
package=glite-jobid-api-cpp
version=0.0.0

CC:=gcc
CXX:=g++

-include Makefile.inc

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test

DEBUG:=-g -O0 -Wall

CFLAGS:=${DEBUG} \
	-I${top_srcdir}/interface -I${top_srcdir}/src \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
INSTALL:=libtool --mode=install install

LIBOBJS:=
HDRS:=JobId.h

LIBLOBJS:=${LIBOBJS:.o=.lo}

LIB:=

compile all: 


check: compile
#

clean:
	rm -rvf *.o *.lo .libs lib* *.c *.cpp *.h

distclean:
	rm -rvf Makefile.inc *.spec debian/

install: 
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix}
	(cd ${top_srcdir}/interface; ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix})

stage:
	${MAKE} install PREFIX=${stagedir} staging=1

%.o: %.c
	${COMPILE} -o $@ -c $< 


.PHONY: default all compile check install clean distclean

=== debian/changelog ===
glite-jobid-api-cpp (1.2.0-6) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:31 +0200

=== debian/control ===
Source: glite-jobid-api-cpp
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libglite-jobid-api-c-dev, libcppunit-dev, libtool, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jobid-api-cpp-dev
Section: libdevel
Architecture: any
Depends: libglite-jobid2, ${misc:Depends}
Provides: glite-jobid-api-cpp
Description: C++ API handling gLite jobid
 C++ API handling gLite jobid. It is a thin wrapper of the C implementation
 (glite-jobid-api-c).

## glite-jobid-api-cpp 1.3.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,10 @@
 CC:=gcc
 CXX:=g++
 
+default: all
+
 -include Makefile.inc
+-include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
@@ -28,6 +31,8 @@
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
+SOURCES=interface/*.h Makefile
+
 LIBOBJS:=
 HDRS:=JobId.h
 
@@ -43,6 +48,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.cpp *.h
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -57,5 +63,4 @@
 %.o: %.c
 	${COMPILE} -o $@ -c $< 
 
-
-.PHONY: default all compile check install clean distclean
+.PHONY: default all compile check install clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-cpp (1.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module jobid.api-cpp
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-jobid-api-cpp 1.3.6

=== debian/changelog ===
glite-jobid-api-cpp (1.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -42,7 +42,7 @@
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-jobid-api-cpp 1.3.7

=== debian/changelog ===
glite-jobid-api-cpp (1.3.7-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:07 +0200

=== debian/control ===
Source: glite-jobid-api-cpp
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jobid-api-cpp-dev
Section: libdevel
Architecture: any
Depends: libglite-jobid-api-c-dev, ${misc:Depends}
Provides: glite-jobid-api-cpp
Description: C++ API handling gLite jobid
 C++ API handling gLite jobid. It is a thin wrapper of the C implementation
 (glite-jobid-api-c).

## glite-jobid-api-cpp 1.3.8

=== debian/changelog ===
glite-jobid-api-cpp (1.3.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module jobid.api-cpp
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --project=emi --module jobid.api-cpp
 	touch $@
 
 build: build-arch build-indep

## glite-jobid-api-cpp 1.3.10

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
jobidprefix=jobid
package=glite-jobid-api-cpp
version=0.0.0

CC:=gcc
CXX:=g++

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test

INSTALL:=install

SOURCES=interface/*.h Makefile

HDRS:=JobId.h

compile all: 


check: compile
#

clean:
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf project/changelog Makefile.inc *.spec debian/

install: 
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix}
	(cd ${top_srcdir}/interface; ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix})

stage:
	${MAKE} install PREFIX=${stagedir} staging=1

.PHONY: default all compile check install clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-cpp (1.3.10-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,10 @@
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: libglite-jobid-api-cpp-dev
 Section: libdevel
-Architecture: any
+Architecture: all
 Depends: libglite-jobid-api-c-dev, ${misc:Depends}
 Provides: glite-jobid-api-cpp
 Description: C++ API handling gLite jobid

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.jobid.api-cpp/glite-jobid-api-cpp-(.*)\.tar\.gz
